echo off
cd %VAR%
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play Blue Angels Formation Flight in VGA w/ PC Speaker
echo Press 2 to play Blue Angels Formation Flight in EGA w/ Tandy Sound
echo Press 3 to play Blue Angels Formation Flight in CGA w/ PC Speaker
echo.
echo VGA has superior graphics, Tandy has superior sound.
echo.
..\..\..\util\choice /C:123 /N Please Choose:

if errorlevel = 3 goto CGA
if errorlevel = 2 goto TANDY
if errorlevel = 1 goto VGA

:CGA
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox_cga.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu -machine cga
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:VGA
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:TANDY
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu -machine tandy
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end